#pragma once
#include "Entity.h"
#include "EntityStateGravity.h"
#include "EntityStateResist.h"
#include "EntityStateSplash.h"
#define CS_CHEST_CREATENAME L"CS_chest"
//±¦Οδ
class CS_Chest :
    public Entity
{
public:
    CS_Chest();
    void Init(std::weak_ptr<Entity> self) override;
    void Step() override;
    void SetState(int stateID, int lr) override;
    EntityStateGravity stateGravity;
    EntityStateResist stateResist;
    EntityStateSplash stateSplash;
    int act_no = 0;
    int act_wait = 0;
    int ani_wait = 0;
};

std::shared_ptr<Entity> CreateCS_Chest();